## satpy 0.43.0

=== debian/changelog ===
satpy (0.43.0-7) unstable; urgency=medium

  * debian/patches:
    - Update 0009-Fix-compatibility-with-xarray-v2023.09.0.patch
      to support also xarray v2023.10.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2023 08:00:45 +0000

satpy (0.43.0-6) unstable; urgency=medium

  * debian/patches:
    - New 0009-Fix-compatibility-with-xarray-v2023.09.0.patch
      (Closes: #1053748).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 11 Oct 2023 21:39:57 +0000

satpy (0.43.0-5) unstable; urgency=medium

  * debian/rules:
    - Temparaty disable test_colorize_with_interpolation and
      test_colorize.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Sep 2023 08:05:40 +0000

satpy (0.43.0-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/patches:
    - rename 0001-Disable-extra-dependency-form-geoviews.patch
      into 0001-Disable-extra-dependency-from-geoviews.patch
    - new 0008-Fix-colormap-based-tests-with-new-version-of-trollim.patch.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.
  * Remove generated files in clean target.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2023 11:21:12 +0000

satpy (0.43.0-3) unstable; urgency=medium

  * debian/rules:
    - Fix check on architectures and re-enable tests.
    - Fix test args.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 10:09:56 +0000

satpy (0.43.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use execute_{before,after} instead of override in rules file.
    (closes: #1046735)

  [ Antonio Valentino ]
  * debian/rules:
    - Improve build doc rule.
    - Drop the no longer necessary version file generation
      (now setuptools-scm is used directly).
  * devian/control:
    - Build-repend on python3-setuptools-scm.
    - Use <!nocheck> and <!nodoc> markers.
  * Switch to autopkgtest-pkg-pybuild and remove the no longer
    needed d/tests folder.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 08:45:41 +0000

satpy (0.43.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - sugest python3-numba
    - fix cme warnings (obsolete versioned dependencies).
  * debian/patches:
    - 0001-Disable-extra-dependency-form-geoviews.patch renamed to fix a typo
    - refresh all patches.
  * devian/upstream/metadata:
    - set upstream metadata fields: Security-Contact (lintian-brush).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Jul 2023 17:49:15 +0000

=== debian/control ===
Source: satpy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libjs-jquery-datatables <!nodoc>,
               libjs-mathjax <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-appdirs,
               python3-astropy,
               python3-behave <!nocheck>,
               python3-bottleneck,
               python3-bs4,
               python3-cloudpickle,
               python3-dask,
               python3-defusedxml,
               python3-distributed,
               python3-donfig,
               python3-eccodes,
               python3-ephem,
               python3-fsspec,
               python3-geotiepoints (>= 1.6),
               python3-glymur,
               python3-grib,
               python3-h5netcdf,
               python3-h5py,
               python3-hdf4,
               python3-imageio,
               python3-netcdf4,
               python3-numpy,
               python3-packaging,
               python3-pil,
               python3-pint,
               python3-pooch,
               python3-pygac,
               python3-pycoast,
               python3-pydecorate,
               python3-pykdtree,
               python3-pyninjotiff,
               python3-pyorbital (>= 1.7.3),
               python3-pyproj,
               python3-pyresample (>= 1.24.0),
               python3-pyspectral,
               python3-pytest <!nocheck>,
               python3-pytest-lazy-fixture <!nocheck>,
               python3-rasterio,
               python3-requests,
               python3-rioxarray,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-setuptools-scm-git-archive,
               python3-skyfield,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.apidoc <!nodoc>,
               python3-tables,
               python3-tornado,
               python3-trollimage,
               python3-trollsched,
               python3-trollsift,
               python3-xarray,
               python3-xarray-datatree,
               python3-yaml,
               python3-zarr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
Homepage: https://github.com/pytroll/satpy
Rules-Requires-Root: no

Package: python3-satpy
Architecture: all
Depends: python3-appdirs,
         python3-dask,
         python3-donfig,
         python3-defusedxml,
         python3-eccodes,
         python3-grib,
         python3-hdf4,
         python3-packaging,
         python3-pil,
         python3-pooch,
         python3-pykdtree,
         python3-pyproj,
         python3-pyresample,
         python3-scipy,
         python3-trollimage,
         python3-trollsift,
         python3-xarray,
         python3-yaml,
         python3-zarr,
         ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: libjs-mathjax,
            python3-behave,
            python3-bottleneck,
            python3-bs4,
            python3-distributed,
            python3-geotiepoints,
            python3-glymur,
            python3-h5netcdf,
            python3-h5py,
            python3-imageio,
            python3-netcdf4,
            python3-pint,
            python3-pycoast,
            python3-pydecorate,
            python3-pygac,
            python3-pyninjotiff,
            python3-pyorbital,
            python3-pyspectral,
            python3-pytest,
            python3-pytest-lazy-fixture,
            python3-rasterio,
            python3-requests,
            python3-rioxarray,
            python3-skyfield,
            python3-tables,
            python3-tornado,
            python3-trollsched
Suggests: www-browser,
          python3-numba
Description: Python package for earth-observing satellite data processing
 The SatPy package is a Python library for reading and manipulating
 meteorological remote sensing data and writing it to various image and
 data file formats. SatPy comes with the ability to make various RGB
 composites directly from satellite instrument channel data or higher level
 processing output. The pyresample package is used to resample data to
 different uniform areas or grids.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

ifneq (,${PYBUILD_AUTOPKGTEST})
TESTDIR=/usr/lib/python3/dist-packages/satpy/tests
else
TESTDIR=satpy/tests
endif

export PYBUILD_NAME=satpy
export PYBUILD_AFTER_INSTALL=rm -rf \
{destdir}/{install_dir}/benchmarks \
{destdir}/{install_dir}/dask-worker-space \
{destdir}/{install_dir}/dummy*
export PYBUILD_TEST_ARGS=-k "\
not test_retrieve \
and not test_offline_retrieve \
and not test_retrieve_all \
and not test_download_script \
and not test_start_time \
and not test_end_time \
and not test_mimic_TPW2_nc \
and not TestAngleGeneration \
and not test_get_luts \
and not test_convert_remote_files_to_fsspec_fsfile \
and not test_convert_remote_files_to_fsspec_filename_dict \
and not test_convert_remote_files_to_fsspec_mixed_sources \
and not test_get_satpos_from_satname \
and not test_distributed \
and not test_rayleigh_corrector \
and not test_rayleigh_with_angles \
and not test_float_write_with_unit_conversion \
and not test_aggregate \
and not test_median \
and not test_no_downloads_in_tests \
and not test_colorize_with_interpolation \
and not test_colorize" \
--ignore=${TESTDIR}/reader_tests/test_insat3d_img_l1b_h5.py \
--ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
--ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
${TESTDIR}

ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
export PYBUILD_DISABLE=test
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PSP_CONFIG_FILE=$(CURDIR)/debian/pyspectral_dummycfg.yaml \
	PYTHONPATH={build_dir} \
	python3 -m sphinx -N -E -T -b html doc/source $(CURDIR)/.pybuild/docs/html
endif

execute_after_dh_fixperms:
	find debian/python*satpy -name 'agri_l1.*' -exec chmod -x {} +

## satpy 0.44.0

=== debian/changelog ===
satpy (0.44.0-1ubuntu2) noble; urgency=medium

  * More FTBFS fixes. (LP: #2044216)
    - Modified satpy/tests/scene_tests/test_resampling.py to use
      assert_called_once rather than called_once.
    - Bumped an xarray version check in satpy/tests/writer_tests/test_cf.py to
      keep the tests from trying to use features that don't yet exist in
      python3-xarray.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 22 Nov 2023 16:25:49 -0600

satpy (0.44.0-1ubuntu1) noble; urgency=medium

  * Backported upstream commit dc3ee7d3 as patch
    0009-backport-upstream-remove-legacy-resampler-code.patch
    to fix an FTBFS (LP: #2044216).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Nov 2023 22:49:24 -0600

satpy (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Nov 2023 09:08:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: satpy
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild

## satpy 0.45.0

=== debian/changelog ===
satpy (0.45.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. (LP: #2046322) Remaining changes:
    - Bumped an xarray version check in satpy/tests/writer_tests/test_cf.py to
      keep the tests from trying to use features that don't yet exist in
      python3-xarray.
    - Don't build against Python 3.12, test_viirs_compact.py's
      TestCompact.test_distributed test fails with a mysterious "0-dim memory
      has no length" error when running on it.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 13 Dec 2023 06:05:37 +0000

satpy (0.45.0-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests requiring network access.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 08:35:40 +0000

satpy (0.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/pathces:
    - Drop 0004-Fix-broken-test-in-i386.patch and
      0008-Fix-compatibility-with-xarray-v2023.11.0.patch,
      no longer needed.
    - Refresh and renumber remaining patches.
  * debian/rules:
    - Update list of tests to skip.
  * debian/man:
    - Update manpages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 01:20:46 +0000

satpy (0.44.0-2) unstable; urgency=medium

  * debian/control:
    - Add build dependency on python3-pint-xarray.
  * debian/rules:
    - No longer skip tests requiring python3-pint-xarray.
  * debian/rules:
    - Re-enable some of the tests previously skipped.
    - Skip tests that are broken for Python 3.12 (Closes: 1056527).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Nov 2023 10:30:56 +0000

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
                python3-packaging,
                python3-pil,
                python3-pint,
+               python3-pint-xarray,
                python3-pooch,
                python3-pygac,
                python3-pycoast,

=== debian/rules ===
--- 
+++ 
@@ -18,33 +18,29 @@
 {destdir}/{install_dir}/benchmarks \
 {destdir}/{install_dir}/dask-worker-space \
 {destdir}/{install_dir}/dummy*
-export PYBUILD_TEST_ARGS=-k "\
-not test_retrieve \
+export PYBUILD_TEST_ARGS=\
+-k "not test__slice \
+and not test_init \
+and not test_strip_invalid_lat \
+and not test_retrieve \
 and not test_offline_retrieve \
 and not test_retrieve_all \
 and not test_download_script \
-and not test_start_time \
-and not test_end_time \
-and not test_mimic_TPW2_nc \
-and not TestAngleGeneration \
-and not test_get_luts \
+and not test_basic_default_not_provided \
+and not test_rayleigh_corrector \
+and not test_rayleigh_with_angles \
+and not test_median \
+and not test_no_downloads_in_tests \
 and not test_convert_remote_files_to_fsspec_fsfile \
 and not test_convert_remote_files_to_fsspec_filename_dict \
-and not test_convert_remote_files_to_fsspec_mixed_sources \
-and not test_get_satpos_from_satname \
-and not test_distributed \
-and not test_rayleigh_corrector \
-and not test_rayleigh_with_angles \
-and not test_float_write_with_unit_conversion \
-and not test_aggregate \
-and not test_median \
-and not test_no_downloads_in_tests \
-and not test_colorize_with_interpolation \
-and not test_colorize" \
---ignore=${TESTDIR}/reader_tests/test_insat3d_img_l1b_h5.py \
+and not test_convert_remote_files_to_fsspec_mixed_sources" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 ${TESTDIR}
+# Python 3.12 does not appear to be compatible with satpy currently.
+# Check and see if this can be reverted every time a new satpy comes from
+# Debian.
+export PYBUILD_DISABLE=python3.12
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
 export PYBUILD_DISABLE=test

## satpy 0.46.0

=== debian/changelog ===
satpy (0.46.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0007-Do-not-document-pvivate-members.patch.
  * debian/control:
    - Drop dependency on python3-setuptools-scm-git-archive
      (Closes: #1060029).
  * Update dates in d/copyright

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 18:18:47 +0000

satpy (0.46.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip test_loading_lon_lat, test_loading_sensor_angles,
      test_loading_solar_angles and test_get_ti_lon_lats for
      compatibility with geotieponts < 1.7
    - Skip tests requiring the unavailable hvplot package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Dec 2023 13:23:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: satpy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
@@ -58,7 +57,6 @@
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-setuptools-scm-git-archive,
                python3-skyfield,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -33,14 +33,18 @@
 and not test_no_downloads_in_tests \
 and not test_convert_remote_files_to_fsspec_fsfile \
 and not test_convert_remote_files_to_fsspec_filename_dict \
-and not test_convert_remote_files_to_fsspec_mixed_sources" \
+and not test_convert_remote_files_to_fsspec_mixed_sources \
+and not test_hvplot_basic_with_area \
+and not test_hvplot_basic_with_swath \
+and not test_hvplot_rgb_with_area \
+and not test_loading_lon_lat \
+and not test_loading_sensor_angles \
+and not test_loading_solar_angles \
+and not test_get_ti_lon_lats \
+and not test_distributed" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 ${TESTDIR}
-# Python 3.12 does not appear to be compatible with satpy currently.
-# Check and see if this can be reverted every time a new satpy comes from
-# Debian.
-export PYBUILD_DISABLE=python3.12
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
 export PYBUILD_DISABLE=test

## satpy 0.47.0

=== debian/changelog ===
satpy (0.47.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Feb 2024 09:02:15 +0000

satpy (0.46.0-3) unstable; urgency=medium

  * debian/rules:
    - Skip regression tests on arm64 (excessive resources needed).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Feb 2024 18:03:23 +0000

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,10 @@
 export PYBUILD_DISABLE=test
 endif
 
+ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
+export PYBUILD_TEST_ARGS=$(PYBUILD_TEST_ARGS) --ignore=${TESTDIR}/test_regressions.py
+endif
+
 %:
 	dh $@ --buildsystem=pybuild

## satpy 0.48.0

=== debian/changelog ===
satpy (0.48.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - Update 0009-No-lazy-fixture.patch.
  * debian/control:
    - Update dependencies: switch to hatchling.
  * debian/rules:
    - Ignore broken tests.
  * Update d/python3-satpy.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Apr 2024 17:29:51 +0000

satpy (0.47.0-2) unstable; urgency=medium

  * debian/control:
    - Drop dependency on pythom3-pytest-lazy-fixture.
  * debian/patches:
    - New 0008-Switch-from-appdirs-to-platformdirs.patch (Closes: #1068007).
    - New 0009-No-lazy-fixture.patch, workaround for #1063957,
  * debina/rules:
    - Skip broken test (test_correct_area_clearsky_different_resolutions).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Mar 2024 07:48:15 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libjs-mathjax <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-appdirs,
                python3-astropy,
                python3-behave <!nocheck>,
                python3-bottleneck,
@@ -29,6 +28,8 @@
                python3-geotiepoints (>= 1.6),
                python3-glymur,
                python3-grib,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-h5netcdf,
                python3-h5py,
                python3-hdf4,
@@ -39,6 +40,7 @@
                python3-pil,
                python3-pint,
                python3-pint-xarray,
+               python3-platformdirs,
                python3-pooch,
                python3-pygac,
                python3-pycoast,
@@ -50,13 +52,10 @@
                python3-pyresample (>= 1.24.0),
                python3-pyspectral,
                python3-pytest <!nocheck>,
-               python3-pytest-lazy-fixture <!nocheck>,
                python3-rasterio,
                python3-requests,
                python3-rioxarray,
                python3-scipy,
-               python3-setuptools,
-               python3-setuptools-scm,
                python3-skyfield,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -78,8 +77,7 @@
 
 Package: python3-satpy
 Architecture: all
-Depends: python3-appdirs,
-         python3-dask,
+Depends: python3-dask,
          python3-donfig,
          python3-defusedxml,
          python3-eccodes,
@@ -87,6 +85,7 @@
          python3-hdf4,
          python3-packaging,
          python3-pil,
+         python3-platformdirs,
          python3-pooch,
          python3-pykdtree,
          python3-pyproj,
@@ -119,7 +118,6 @@
             python3-pyorbital,
             python3-pyspectral,
             python3-pytest,
-            python3-pytest-lazy-fixture,
             python3-rasterio,
             python3-requests,
             python3-rioxarray,

## satpy 0.49.0

=== debian/changelog ===
satpy (0.49.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0008-Switch-from-appdirs-to-platformdirs.patch and
      0009-Switch-to-pytest-lazy-fixtures.patch, applied upstream.
    - Refresh and renumber remaining parches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 10 Jun 2024 21:36:25 +0000

satpy (0.48.0-2) unstable; urgency=medium

  * debian/patches:
    - Drop 0009-No-lazy-fixture.patch.
    - New 0009-Switch-to-pytest-lazy-fixtures.patch.
  * debian/control:
    - Add dependency on pytest-lazy-fixtures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 16 May 2024 05:17:29 +0000

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
                python3-pyresample (>= 1.24.0),
                python3-pyspectral,
                python3-pytest <!nocheck>,
+               python3-pytest-lazy-fixtures <!nocheck>,
                python3-rasterio,
                python3-requests,
                python3-rioxarray,
@@ -118,6 +119,7 @@
             python3-pyorbital,
             python3-pyspectral,
             python3-pytest,
+            python3-pytest-lazy-fixtures,
             python3-rasterio,
             python3-requests,
             python3-rioxarray,

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,23 @@
 and not test_loading_sensor_angles \
 and not test_loading_solar_angles \
 and not test_get_ti_lon_lats \
-and not test_distributed" \
+and not test_distributed \
+and not test_correct_area_clearsky_different_resolutions \
+and not test_available_reader \
+and not test_find_registerable \
+and not test_filenames_as_path \
+and not test_no_parameters \
+and not test_bad_sensor \
+and not test_sensor \
+and not test_sensor_no_files \
+and not test_no_reader \
+and not test_basic_check_satpy \
+and not test_plugin_reader_available_readers \
+and not test_filenames_only" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
+--ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
+--ignore=${TESTDIR}/reader_tests/test_mviri_l1b_fiduceo_nc.py \
 ${TESTDIR}
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))

## satpy 0.50.0

=== debian/changelog ===
satpy (0.50.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Require trollimage >= 1.24.
  * debian/patches:
    - Drop 0007-Fix-gcps-type-for-newer-rioxarray-versions.patch,
      applied upstream.
    - Refresh and renumber remaining patches.
    - New 0007-No-area_def_list.patch.
  * New source/lintian-overrides file for silencing misdetection of uuid
    as deprecated stdlib.
  * Fix doc build.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 31 Jul 2024 05:58:49 +0000

satpy (0.49.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0007-Fix-gcps-type-for-newer-rioxarray-versions.patch.
      Closes: #1076922.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Jul 2024 06:47:32 +0000

## satpy 0.51.0

=== debian/changelog ===
satpy (0.51.0-2) unstable; urgency=medium

  * debian/rules:
    - Avoid recursive evaluation of variables (Closes: #1082394).
  * Drop d/source/lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 08:49:42 +0000

satpy (0.51.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Aug 2024 15:21:01 +0000

=== debian/control ===
--- 
+++ 
@@ -63,14 +63,14 @@
                python3-sphinxcontrib.apidoc <!nodoc>,
                python3-tables,
                python3-tornado,
-               python3-trollimage,
+               python3-trollimage (>= 1.24),
                python3-trollsched,
                python3-trollsift,
                python3-xarray,
                python3-xarray-datatree,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,8 @@
 and not test_no_reader \
 and not test_basic_check_satpy \
 and not test_plugin_reader_available_readers \
-and not test_filenames_only" \
+and not test_filenames_only \
+and not test_add_grid_mapping_oblique_mercator" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \
@@ -65,7 +66,8 @@
 endif
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
-export PYBUILD_TEST_ARGS=$(PYBUILD_TEST_ARGS) --ignore=${TESTDIR}/test_regressions.py
+PYBUILD_TEST_ARGS+=--ignore=${TESTDIR}/test_regressions.py
+export PYBUILD_TEST_ARGS
 endif
 
 %:
@@ -75,6 +77,7 @@
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	cp debian/area_def_list.rst doc/source
 	PSP_CONFIG_FILE=$(CURDIR)/debian/pyspectral_dummycfg.yaml \
 	PYTHONPATH={build_dir} \
 	python3 -m sphinx -N -E -T -b html doc/source $(CURDIR)/.pybuild/docs/html

## satpy 0.52.0

=== debian/changelog ===
satpy (0.52.0-1) unstable; urgency=medium

  * New upstrean release.
  * Update copyright dates.
  * debian/patches:
    - Drop 0007-No-area_def_list.patch.
    - Refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Oct 2024 07:07:10 +0000

## satpy 0.52.1

=== debian/changelog ===
satpy (0.52.1-2) unstable; urgency=medium

  * debian/rules:
    - Skip test_palettize and test_viirs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Oct 2024 06:50:42 +0000

satpy (0.52.1-1) unstable; urgency=medium

  * New usptream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Oct 2024 10:19:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,9 @@
 and not test_basic_check_satpy \
 and not test_plugin_reader_available_readers \
 and not test_filenames_only \
-and not test_add_grid_mapping_oblique_mercator" \
+and not test_add_grid_mapping_oblique_mercator \
+and not test_palettize \
+and not test_viirs" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \

## satpy 0.53.0

=== debian/changelog ===
satpy (0.53.0-2) unstable; urgency=medium

  * debian/rules:
    - Drop custom SETUPTOOLS_SCM_PRETEND_VERSION setting,
      no longer neded after the switch to hatchling.
    - Re-enable TestFSFile: see
      https://github.com/pytroll/satpy/issues/3001.
  * debian/patches:
    - New 0007-Drop-dependency-on-xarray-datatree.patch.
  * debian/control:
    - Drop dependency on xarray-datatree.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Dec 2024 16:10:56 +0000

satpy (0.53.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Skip test_basic_default_provided and TestFSFile.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Nov 2024 16:58:00 +0000

=== debian/control ===
--- 
+++ 
@@ -66,8 +66,7 @@
                python3-trollimage (>= 1.24),
                python3-trollsched,
                python3-trollsift,
-               python3-xarray,
-               python3-xarray-datatree,
+               python3-xarray (>= 2024.10.0),
                python3-yaml,
                python3-zarr
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
-export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 
 ifneq (,${PYBUILD_AUTOPKGTEST})
 TESTDIR=/usr/lib/python3/dist-packages/satpy/tests
@@ -56,7 +55,8 @@
 and not test_filenames_only \
 and not test_add_grid_mapping_oblique_mercator \
 and not test_palettize \
-and not test_viirs" \
+and not test_viirs \
+and not test_basic_default_provided" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \

## satpy 0.54.0

=== debian/changelog ===
satpy (0.54.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0007-Drop-dependency-on-xarray-datatree.patch.
    - Refresh remaining patches.
  * debian/rules:
    - Fix permission of satpy/tests/behave/features/image_comparison.feature.
  * debian/control:
    - Temporarily add explicit dependency on python3-cffi.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 20 Jan 2025 18:38:07 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-behave <!nocheck>,
                python3-bottleneck,
                python3-bs4,
+               python3-cffi,
                python3-cloudpickle,
                python3-dask,
                python3-defusedxml,
@@ -77,7 +78,8 @@
 
 Package: python3-satpy
 Architecture: all
-Depends: python3-dask,
+Depends: python3-cffi,
+         python3-dask,
          python3-donfig,
          python3-defusedxml,
          python3-eccodes,

=== debian/rules ===
--- 
+++ 
@@ -87,3 +87,4 @@
 
 execute_after_dh_fixperms:
 	find debian/python*satpy -name 'agri_l1.*' -exec chmod -x {} +
+	find debian/python*satpy -name 'image_comparison.feature' -exec chmod -x {} +

## satpy 0.55.0

=== debian/changelog ===
satpy (0.55.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0006-Do-not-document-pvivate-members.patch.
    - Refresh remaining patches.
    - New 0006-Compat-with-sphinx-8.2.patch.
  * debian/rules:
    - Skip tests requiring the unavailable upath Python package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Mar 2025 16:23:35 +0000

=== debian/control ===
--- 
+++ 
@@ -70,7 +70,7 @@
                python3-xarray (>= 2024.10.0),
                python3-yaml,
                python3-zarr
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,10 @@
 and not test_add_grid_mapping_oblique_mercator \
 and not test_palettize \
 and not test_viirs \
-and not test_basic_default_provided" \
+and not test_basic_default_provided \
+and not test_scene_dynamic_available_datasets \
+and not test_read_real_segment \
+and not test_read_physical_seviri_nat_file" \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
 --ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py \
 --ignore=${TESTDIR}/reader_tests/test_viirs_edr_active_fires.py \

## satpy 0.59.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NWCSAFMSGPP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NWCSAFMSGPP.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
satpy (0.59.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * debian/control:
    - Add dependency on python3-s3fs.
  * debian/rules:
    - Enable tests using s3fs.
    - Disable broken test "test_calibrated_reflectances_values".
      (Closes: #1126249).
  * debian/copuright:
    - Reorder Files paragraphs by directory depth.
    - Update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 20:49:07 +0000

satpy (0.59.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0010-Fix-test-failure-on-riscv64.patch (Closes: #1122073).
  * debian/tests:
    - Do not run autopkgtests on s390x. Some of the dependencies
      are not available on this platform.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Dec 2025 20:49:13 +0000

satpy (0.59.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix old FSF address in copyright file.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright file.
  * debian/patches:
    - Drop 0005-Fix-compatibility-with-old-dask-versions.patch.
    - Refresh and renumber remaining patches.
    - New 0006-No-upath.patch.
    - New 0007-No-numba.patch.
    - New 0008-Fix-tlefile-import.patch.
    - New 0009-Reduce-disk-footprint-for-tests.patch.
  * debian/control:
    - Add dependency on python3-sphinx-autodoc-typehints.
    - Drop versioned dependency on python3-pyorbital and
      python3-pyresample.
  * debian/rules:
    - Update the list of tests to skip.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 28 Nov 2025 16:40:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -48,18 +47,20 @@
                python3-pydecorate,
                python3-pykdtree,
                python3-pyninjotiff,
-               python3-pyorbital (>= 1.7.3),
+               python3-pyorbital,
                python3-pyproj,
-               python3-pyresample (>= 1.24.0),
+               python3-pyresample,
                python3-pyspectral,
                python3-pytest <!nocheck>,
                python3-pytest-lazy-fixtures <!nocheck>,
                python3-rasterio,
                python3-requests,
                python3-rioxarray,
+               python3-s3fs <!nocheck>,
                python3-scipy,
                python3-skyfield,
                python3-sphinx <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
                python3-tables,
@@ -70,11 +71,10 @@
                python3-xarray (>= 2024.10.0),
                python3-yaml,
                python3-zarr
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
-Rules-Requires-Root: no
 
 Package: python3-satpy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

ifneq (,${PYBUILD_AUTOPKGTEST})
TESTDIR=/usr/lib/python3/dist-packages/satpy/tests
else
TESTDIR=satpy/tests
endif

export PYBUILD_NAME=satpy
export PYBUILD_AFTER_INSTALL=rm -rf \
{destdir}/{install_dir}/benchmarks \
{destdir}/{install_dir}/dask-worker-space \
{destdir}/{install_dir}/dummy*

# dask-image module unavailable on Debian
SKIP_ARGS=not test_median

# upath module unavailable on Debian
SKIP_ARGS+= \
and not test_read_band_gzip_stream \
and not test_generic_open_BZ2File \
and not test_generic_open_FSFile_MemoryFileSystem \
and not test_generic_open_binary \
and not test_read_physical_seviri_nat_file \
and not test_read_real_segment_zipped \
and not test_read_band_gzip_stream

# hvplot module not available on Debian
SKIP_ARGS+= \
and not test_hvplot_basic_with_area \
and not test_hvplot_basic_with_swath \
and not test_hvplot_rgb_with_area

# access to network
SKIP_ARGS+= \
and not test_rayleigh_corrector \
and not test_rayleigh_with_angles \
and not test_provide_sunz_threshold_and_masking_limit \
and not test_basic_call \
and not test_retrieve \
and not test_offline_retrieve \
and not test_retrieve_all \
and not test_download_script \
and not test_no_downloads_in_tests

# OSError: [Errno -128] NetCDF: Attempt to use feature that was not turned on when netCDF was built.
SKIP_ARGS+= and not test_scene_dynamic_available_datasets

# something strange is salsa-ci (not reproducible locally)
SKIP_ARGS+= and not test_read_real_segment

# test broken by recent changes in xarray (the test has been modified upstream)
SKIP_ARGS+= and not test_calibrated_reflectances_values

# misc
SKIP_ARGS+= \
and not test_drop_fill_value \
and not test_basic_numbered_1_tile \
and not test_units_length_warning \
and not test_basic_numbered_tiles \
and not test_basic_lettered_tiles \
and not test_multivar_numbered_tiles_glm \
and not test_no_compute \
and not test_lettered_tiles_update_existing \
and not test_lettered_tiles_sector_ref \
and not test_lettered_tiles_no_valid_data

# no numba
IGNORE_ARGS=\
--ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_l1b.py \
--ignore=${TESTDIR}/reader_tests/gms/test_gms5_vissr_navigation.py

export PYBUILD_TEST_ARGS=-k "${SKIP_ARGS}" ${IGNORE_ARGS} ${TESTDIR}

ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
export PYBUILD_DISABLE=test
endif

ifneq (,$(filter $(DEB_BUILD_ARCH),arm64))
PYBUILD_TEST_ARGS+=--ignore=${TESTDIR}/test_regressions.py
export PYBUILD_TEST_ARGS
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cp debian/area_def_list.rst doc/source
	PSP_CONFIG_FILE=$(CURDIR)/debian/pyspectral_dummycfg.yaml \
	PYTHONPATH={build_dir} \
	python3 -m sphinx -N -E -T -b html doc/source $(CURDIR)/.pybuild/docs/html
endif

execute_after_dh_fixperms:
	find debian/python*satpy -name 'agri_l1.*' -exec chmod -x {} +
	find debian/python*satpy -name 'image_comparison.feature' -exec chmod -x {} +
